<?php
require_once("class/class.bbdd.php");
$bbdd = new BBDD();

//Resposta per defecte (Negativa)
$response["success"] = "0";  

//Valida i adapta els paràmetres necessris
$userCode = $bbdd->checkParameter('userCode',true);

//Estableix paràmetre de busqueda buit
$where = false;

//Comprova que s'hagin validat els paràmetres
if ($userCode !== 0) {
	$where = "Recipes.reciUser = '".$userCode."'";
	//Comprova si s'ha especificat una categoria
	if (isset($_REQUEST['cateCode'])) {
		$cateIden = $bbdd->checkParameter('cateCode',true);
		if ($cateIden !== 0 && $cateIden !== 3) {
			$where .= " AND Recipes.reciCategory = '".$cateIden."'";
		} elseif($cateIden === 3) {
			//Resposta: Paràmetre categoria incorrecte
			$response["message"] = "No s'ha especificat un valor de categoría correcte.";				
		}
	}	
	
	//Comprova si s'ha un string per la cerca
	if (isset($_REQUEST['nameReci'])) {
		$nameReci = $bbdd->checkParameter('nameReci');
		if ($nameReci !== 0) {
			$where .= " AND Recipes.reciTitle LIKE '%".$nameReci."%'";
		} 
	}
	
	//Realitza la consulta
	$result = $bbdd->select("Recipes.reciIden,Recipes.reciTitle,Recipes.reciText,Recipes.reciRations,reciTime,Images.imagPath,Recipes.reciCategory,RecipesCategories.cateName",
							"Recipes 
							INNER JOIN RecipesCategories ON RecipesCategories.cateIden=Recipes.reciCategory
							LEFT OUTER JOIN Images ON Images.imagIden = Recipes.reciImage",
							$where,"Recipes.reciIden DESC");

	//Comprova que el resultat de la consulta no sigui nul
	if (!empty($result)) {  
		//Comprova que hi hagin resultats
		if (mysqli_num_rows($result) > 0) {  
			$response["success"] = "1";  
			$response["message"] = $bbdd->resultsToJson($result);
		} else {
			$response["message"] = "No s'han trobat resultats.";		
		}
	} 
} else {	
	//Resposta: Falten paràmetres 
	$response["message"] = "No s'han especificat tots els paràmetres.";	
}

//Retorna els resultats en Json 
echo json_encode($response,JSON_UNESCAPED_UNICODE);  
?>